"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _jsxFileName = "/Users/bryan/dev/playground/brix/src/brix/BoundedSuspense.js";

var BoundedSuspense =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2.default)(BoundedSuspense, _React$Component);

  function BoundedSuspense() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, BoundedSuspense);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(BoundedSuspense)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      hasError: false
    });
    return _this;
  }

  (0, _createClass2.default)(BoundedSuspense, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          fallback = _this$props.fallback,
          boundary = _this$props.boundary,
          children = _this$props.children;
      var hasError = this.state.hasError;

      if (hasError) {
        return boundary;
      }

      return _react.default.createElement(_react.default.Suspense, {
        fallback: fallback,
        __self: this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 17
        }
      }, children);
    }
  }, {
    key: "componentDidCatch",
    value: function componentDidCatch(error, info) {
      console.log(error, info);
    }
  }], [{
    key: "getDerivedStateFromError",
    value: function getDerivedStateFromError() {
      return {
        hasError: true
      };
    }
  }]);
  return BoundedSuspense;
}(_react.default.Component);

BoundedSuspense.propTypes = {
  fallback: _propTypes.default.node.isRequired,
  boundary: _propTypes.default.node
};
BoundedSuspense.defaultProps = {
  boundary: _react.default.createElement("h3", {
    style: {
      color: 'red'
    },
    __self: void 0,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 36
    }
  }, "Something is bad")
};
var _default = BoundedSuspense;
exports.default = _default;