"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTextField = void 0;

var _useFormField = require("../useFormField");

/**
 * @param  args { import("..").IFormFieldArgs}
 * @param  initial String
 */
var useTextField = function useTextField() {
  var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var initial = arguments.length > 1 ? arguments[1] : undefined;
  var initialValue = initial || args.value || '';
  return (0, _useFormField.useFormField)(initialValue, args);
};

exports.useTextField = useTextField;