"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNumberField = void 0;

var _useFormField = require("../useFormField");

var useNumberField = function useNumberField() {
  var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var initial = arguments.length > 1 ? arguments[1] : undefined;
  var initialValue;

  if (initial !== undefined) {
    initialValue = initial;
  } else if (args.value !== undefined) {
    initialValue = args.value;
  } else {
    initialValue = 0;
  }

  return (0, _useFormField.useFormField)(initialValue, args);
};

exports.useNumberField = useNumberField;