"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSelectField = void 0;

var _useFormField = require("../useFormField");

var useSelectField = function useSelectField() {
  var args = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var initial = arguments.length > 1 ? arguments[1] : undefined;
  var initialValue = initial || args.value || '';
  var fieldProps = (0, _useFormField.useFormField)(initialValue, args);
  fieldProps.props.options = args.options;
  return fieldProps;
};

exports.useSelectField = useSelectField;